# frozen_string_literal: true

class UpdateAsyncEligibleNbOfferJob < ActiveJob::Base
 
  queue_as :x_hermes_eligibility
  unique :until_executed

  def perform(offer_id)
    if offer = Hermes::HousingOffer.find_by(id: offer_id)
      eligible_count = offer.get_all_eligible_count
      updated_field = {}
      
      Hermes::HousingOffer.eligibility_types.each do |type|
        updated_field["async_eligible_#{type}_nb"] = eligible_count["#{type}_count"]
      end
      updated_field['async_eligible_requests_nb'] = eligible_count['total_count']

      offer.set(updated_field.merge(updated_at: DateTime.current))
    end
  end
end
