module Hermes
    class UserInvalidatedToken
      include Mongoid::Document
      include Mongoid::Timestamps

      field :expiring_at, type: DateTime
      field :token, type: String

      belongs_to :user, index: true, class_name: 'User'

      index({ user_id: 1, token: 1 })
      index({ expiring_at: 1 }, { expire_after_seconds: 0 })

      def expired?
        expiring_at < Time.now
      end 
    end 
end 
